require File.dirname(__FILE__) + '/../test_helper'
require 'contacts_controller'

class ContactsController; def rescue_action(e) raise e end; end

class ContactsControllerTest < Test::Unit::TestCase
  fixtures :contacts

  def setup
    @controller = ContactsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_update_action
    post :update , :id => 1, :contact => {:email => 'update@example.com'}
    contact1 = Contact.find(1)
    assert_equal 'update@example.com', contact1.email
    assert_redirected_to 'contacts/show/1'
  end
end
